J3.x

Extension won't install

From Joomla! Documentation

Revision as of 01:52, 29 October 2018 by Franz.wohlkoenig (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Other languages:
Deutsch • ‎English • ‎Nederlands • ‎español • ‎français • ‎русский • ‎中文(中国大陆)‎
Joomla! 
3.4.0

Some extensions won't install on Joomla 3.4.0 giving an error of "No file selected. Unable to find install package"

Errors reported[edit]

No file selected. Unable to find install package

(Note that this error is very generic and can apply to many other issues. This is however the only UI error shown as a result of this issue that affects Joomla 3.4.0 ONLY)

Versions affected[edit]

Info non-talk.png
General Information

This pertains only to Joomla! version(s):- 3.4.0

What is the cause[edit]

Extra security checks for PHP files were added for file uploads in JFile::upload. Unfortunately these were not disabled for the extension installer meaning any uncompressed zip files were interpreted as insecure and therefore not installed.

How to fix[edit]

Ensure that your zip files are properly compressed before installing

Apply the following patch https://github.com/joomla/joomla-cms/pull/6180 (this will be shipped in Joomla 3.4.1)